Subject: [tsvwg] feedback request: draft-thornburgh-rtmfp-flash

From: Michael Thornburgh <[email-masked]>
Date: Mon, 21 Apr 2014 21:34:05 +0000

hi TSV Working Group folks.

i briefly presented "Adobe's Secure Real-Time Media Flow Protocol" (RTMFP) to this working group at IETF 86 in Orlando, and notified this mailing list, soliciting feedback on the specification I-D to help improve it.  i received invaluable feedback from the community, and when the specification was published as RFC 7016, it was very much improved from the initial draft due in large part to the community review it received.

RTMFP is a general purpose endpoint-to-endpoint transport protocol designed for real-time and P2P communication.  it is deployed widely in the Internet as part of Adobe Flash and other software.

i have submitted a new companion I-D, "Adobe's RTMFP Profile for Flash Communication", that describes how RTMFP (the generic protocol) is used to transport the video, audio, and data messages of real-time and P2P communications in Flash, including the concrete RFC 7016 "Cryptography Profile" for Flash.  this new specification illustrates a practical application of RTMFP, which can also help folks understand how to apply RTMFP's capabilities to use cases other than Flash communication.

we will eventually be submitting this specification to the Independent Submission Editorial Board for publication as an Informational RFC.  to that end i am soliciting feedback, comments, and reviews of this I-D to help us improve its quality, readability, implementability, etc.

---
Name:           draft-thornburgh-rtmfp-flash
Revision:       00
Title:          Adobe's RTMFP Profile for Flash Communication
Document date:  2014-04-14
Group:          Individual Submission
Pages:          45
URL:            http://www.ietf.org/internet-drafts/draft-thornburgh-rtmfp-flash-00.txt
Status:         https://datatracker.ietf.org/doc/draft-thornburgh-rtmfp-flash/
Htmlized:       http://tools.ietf.org/html/draft-thornburgh-rtmfp-flash-00
IPR:            https://datatracker.ietf.org/ipr/2345/

Abstract:
   This memo describes how to use Adobe's Secure Real-Time Media Flow
   Protocol (RTMFP) to transport the video, audio, and data messages of
   Adobe Flash platform communications.  Aspects of this application
   profile include cryptographic methods and data formats, flow metadata
   formats, and protocol details for client-server and peer-to-peer
   communication.
---

thank you.

-michael thornburgh